local Frame = CreateFrame("frame")
local willPlay, soundHandle, sinceLastApp = nil, nil, 0
Frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

function Frame:OnEvent(event, ...)
	self[event](self, ...)
end
Frame:SetScript("OnEvent", Frame.OnEvent)

local function onUpdate(self, deltaTime)
	sinceLastApp = sinceLastApp + deltaTime
end
Frame:SetScript("OnUpdate", onUpdate)

function Frame:COMBAT_LOG_EVENT_UNFILTERED(timeStamp, eventType, hideCaster, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags, spellID, spellName, spellSchool, auraType)
	if sourceName == UnitName("player") and ((eventType == "SPELL_AURA_APPLIED" or eventType == "SPELL_AURA_REFRESH") or spellID == 113780) then
		if spellID == 113780 or spellID == 8680 or spellID == 3409 or spellID == 157607 or spellID == 2818 then
			if sinceLastApp >= 1 then
				if not soundHandle == nil then
					StopSound(soundHandle)
				end
				willPlay, soundHandle = PlaySoundFile("Sound\\Spells\\BestowDiseaseImpact.ogg")
				sinceLastApp = 0
			end
		end
	end
end